$ErrorActionPreference = 'Stop';

$packageName= 'invantive-estate-for-windows'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Estate%20for%20Windows-17.23.4-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Estate%20for%20Windows-17.23.4-BETA.msi'
  softwareName = 'Invantive Estate for Windows'
  checksum = '727975BB0511344E80E2D13F02FFE1293F6AD56AEFA50FA24A9D16D4E80E3864'
  checksumType = 'sha256'
  checksum64 = '727975BB0511344E80E2D13F02FFE1293F6AD56AEFA50FA24A9D16D4E80E3864'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-estate-for-windows-17.23.4-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
